/*
 * File:    wxstring.h
 * Purpose: String class, derived from the GNU string class (see \contrib\wxstring)
 * Author:  Stefan (steve) Hammes and GNU
 * Created: 1995
 * Updated: 
 * Copyright:   (c) 1995
 */

#ifdef __GNUG__
#pragma interface
#endif

/* sccsid[] = "%W% %G%" */

#ifndef wx_stringh
#define wx_stringh

#if defined(wx_msw)

#include "..\\..\\contrib\\wxstring\\wxregex.h"
#include "..\\..\\contrib\\wxstring\\wxstring.h"

#elif defined(wx_motif)

#if defined(VMS)

// under VMS we will use additional /I directories to let
// the compiler search directly in the contrib directory,
// because it doesn't work the below way.
#error Delete this file for VMS compilation.

#else

#include "../../contrib/wxstring/wxregex.h"
#include "../../contrib/wxstring/wxstring.h"

#endif
#endif

#endif // wx_stringh
